Bug 1436767 - Alerting DefinitionsEvents might have a wrong order on import operations
Summary: Alerting DefinitionsEvents might have a wrong order on import operations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Hawkular
Version: 3.5.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.z
Assignee: Matt Wringe
QA Contact: Liming Zhou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-28 15:24 UTC by Lucas Ponce
Modified: 2017-05-30 12:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-18 09:27:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker HWKALERTS-243 0 Blocker Resolved DefinitionsEvents might have a wrong order on import operations 2017-06-28 11:40:52 UTC
Red Hat Product Errata RHBA-2017:1235 0 normal SHIPPED_LIVE OpenShift Container Platform 3.5, 3.4, 3.3, and 3.1 bug fix update 2017-05-18 13:15:52 UTC

Description Lucas Ponce 2017-03-28 15:24:48 UTC
There is a potential bug in alerting due wrong order of definitions events on import operations.

When re-importing the same trigger, an internal set used to collect events can be unordered and potentially doesn't not update definitions correctly.

Comment 6 Troy Dawson 2017-04-28 15:54:21 UTC
openshift3/metrics-hawkular-metrics:3.5.0-15

Comment 7 Troy Dawson 2017-04-28 15:54:40 UTC
This fix for this is in image
openshift3/metrics-hawkular-metrics:3.5.0-15

Comment 16 Liming Zhou 2017-05-10 08:38:33 UTC
@jshaughn, @lponce,

Did some test per your suggestion, it works so change the status to verified.
Let me know if anything more to do.

Thanks,
Nicholas

Comment 18 errata-xmlrpc 2017-05-18 09:27:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1235


Note You need to log in before you can comment on or make changes to this bug.